package com.xhkjedu.controller;

import com.xhkjedu.model.EClassStudent;
import com.xhkjedu.service.EPaperVerifyService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname EPaperCorrectVerifyController
 * @description 考卷校验
 * @date 2024/6/8 14:36
 **/
public class EPaperVerifyController {
    @Resource
    private EPaperVerifyService ePaperVerifyService;

    //根据姓名搜索学生信息
    @PostMapping("/search_stu")
    public ResultVo listStudentByExamno(@RequestBody EClassStudent student) {
        Integer examid = student.getExamid();
        String studentname = student.getStudentname();
        N_Utils.validation(new Object[]{examid, "考试id", 1, studentname, "姓名", 2});
        List<Map> list = ePaperVerifyService.listStudentByStudentname(examid, studentname);
        return new ResultVo(0, "获取成功", list);
    }



}
